> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax rate

## Field support per integration

<AccordionGroup>
  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="percentage" type="number" />

    <ResponseField name="type" type="string">
      Available values: `INCLUSIVE`, `EXCLUSIVE`, `ZERO_TAX`, `NO_TAX`

      Indicates how the tax amount should be calculated in relation to an invoice or bill amount.
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />

    <ResponseField name="usage" type="enum">
      Available options: `INVOICE`, `BILL`, `ALL`
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/taxRates/{taxRateId}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/taxRates/{taxRateId}:
    get:
      tags:
        - accounting
      operationId: getTaxRate
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: taxRateId
          required: true
          in: path
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/TaxRateResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    TaxRateResponseDto:
      type: object
      properties:
        id:
          type: string
          example: b0450a0a-4164-4b5a-b006-1f3e835c32ff
        code:
          type: string
          example: '02'
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: BTW hoog tarief, exclusief
        name:
          type: string
          example: 21 PERCENT
        percentage:
          type: number
          example: 21
        type:
          type: string
          enum:
            - INCLUSIVE
            - EXCLUSIVE
            - ZERO_TAX
            - NO_TAX
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        usage:
          type: string
          enum:
            - INVOICE
            - BILL
            - JOURNAL_ENTRY
            - ALL
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````